#ifndef _GSPROFILE_H_
#define _GSPROFILE_H_
#include <string>

// use the standard namespace
#if !defined (GSDL_NAMESPACE_BROKEN)
#if defined(GSDL_USE_OBJECTSPACE)
using namespace ospace::std;
#else
using namespace std;
#endif
#endif

#include <windows.h>

#include "uninstall.h"
#include "stringarray.h"

class gsProfile : public installAgent
{
private:
  string fileName;

  void logAction(string action, string sectionName, string item, string value);
protected:
public:
  gsProfile(installManager &manager, string fileName);
  bool ensureListMember(string sectionName, string listName, string listMember);
  bool removeListMember(string sectionName, string listName, string listMember);
  bool addListMember(string sectionName, string listName, string listMember);
  bool writeString(string sectionName, string itemName, string itemValue);
  bool removeString(string sectionName, string itemName);
  bool undoAction(string actionName, stringArray &params);
};
#endif
